Last Comment Bug 839272 - Re-enable WebRTC when bug 837618 is fixed
: Re-enable WebRTC when bug 837618 is fixed
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: 13 Branch
: All All
: -- normal (vote)
: Thunderbird 24.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on: 837618 839046 841636
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-07 14:42 PST by Mark Banner (:standard8)
Modified: 2013-06-25 05:20 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (1.36 KB, patch)
2013-06-20 09:16 PDT, Mark Banner (:standard8)
bugspam.Callek: review+
Details | Diff | Splinter Review
Fix packaging when MOZ_WEBRTC is not defined (1.83 KB, patch)
2013-06-22 09:34 PDT, Landry Breuil (:gaston)
standard8: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2013-02-07 14:42:55 PST
Bug 839046 temporarily disabled WebRTC as a work around for bug 837618.

Once bug 837618 is fixed, we should re-enabled WebRTC as it is something extensions might want to use.

Note: when we re-enable, we need to do more than backing out bug 839046 - we need to add the required parts to packaging as well, as currently not everything is packaged that is needed for WebRTC.
Comment 1 Mark Banner (:standard8) 2013-06-20 09:16:20 PDT
Created attachment 765418 [details] [diff] [review]
The fix

This enables webrtc, and has the side effect of fixing the bustage on trunk.
Comment 2 Mark Banner (:standard8) 2013-06-20 15:11:47 PDT
https://hg.mozilla.org/comm-central/rev/ff64a366af33
Comment 3 Landry Breuil (:gaston) 2013-06-22 04:50:55 PDT
Just a small headsup - this breaks packaging on platforms where webrtc is not enabled (ie the BSDs) because peerconnection files are not guarded within #ifdef MOZ_WEBRTC in mail/installer/package-manifest.in. Testing an obvious fix here, then will post a follwup patch for review.
Comment 4 Landry Breuil (:gaston) 2013-06-22 09:34:59 PDT
Created attachment 766314 [details] [diff] [review]
Fix packaging when MOZ_WEBRTC is not defined

Fixes the issue here, thunderbird-24.0a1.en-US.openbsd5.3-x86_64.tar.bz2 is fine with that diff
Comment 5 Mark Banner (:standard8) 2013-06-24 06:14:34 PDT
https://hg.mozilla.org/comm-central/rev/2592479ad475

Note You need to log in before you can comment on or make changes to this bug.